unit Helper3deliteGFX;

interface

Uses
    Windows,
    Graphics;

    function CreateIconFromBitmaps(bmpMask, bmpColor: Graphics.TBitmap): HIcon;
    function InvertColor(aColor: TColor): TColor;

implementation

function CreateIconFromBitmaps(bmpMask, bmpColor: Graphics.TBitmap): HIcon;
var
  iconInfo: TIconInfo;
begin
    Result := 0;
    try
        with iconInfo do begin
            fIcon := True;
            xHotspot := 1;
            yHotspot := 1;
            hbmMask := bmpMask.Handle;
            hbmColor := bmpColor.Handle;
        end;
        Result := CreateIconIndirect(iconInfo);
    except
        //*
    end;
end;

function InvertColor(aColor: TColor): TColor;
var
    aRGB: Integer;
begin
    aRGB := ColorToRGB(aColor);
    Result := RGB(255 - aRGB And $0000FF, 255 - aRGB And $00FF00 Shr 8, 255 - aRGB And $FF0000 Shr 16 );
end;

end.
 